#include <iostream>
using namespace std;
const int broj[10] = { 0,1,1,2,2,1,2,2,3,3 };
int main()
{

	int  cifra, uk = 0;
	long long int v;
	cin >>v;

	while (v > 0)
	{
		cifra = v % 10;
		if (cifra != 0)
		{
			uk += broj[cifra];
		}
		v = v / 10;
	}
    cout << uk;
	return 0;
}